/*****************************************************************************\
* LiveIPAddress: Retrieves your Live IP Address (using the showmyip.com (R)   *
* engine) and displays it on Firefox's status bar.                            *
*                                                                             *
* Version 1.0                                                                 *
* Copyright 2005 Anastasios Monachos                                          *
* Email: anastasiosm@hotmail.com                                              *
*                                                                             *
* Inspired by the Public IP - Firefox Extention created by Daniel Wood        *
* (http://www.maleman876.com/) - as I would prefare showing my live IP        *
* address permanently in the status bar.                                      *
*                                                                             *
* This program is free software; you can redistribute it and/or modify it     *
* under the terms of the GNU General Public License as published by the Free  *
* Software Foundation; either version 2 of the License, or (at your option)   *
* any later version.                                                          *
*                                                                             *
* This program is distributed in the hope that it will be useful, but WITHOUT *
* ANY WARRANTY; without even the implied warranty of MERCHANTIBLITY or        *
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public Licence for   *
* more details.                                                               *
*                                                                             *
* You should have received a copy of the GNU General Public License along     *
* with this program; if not, write to the Free Software Foundation, Inc.,     *
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.                    *
*                                                                             *
\*****************************************************************************/

function makeRequest(url, parameters)
{
	http_request = false;
	http_request = new XMLHttpRequest();
	if (http_request.overrideMimeType)
	{
		http_request.overrideMimeType('text/xml');
	}
	if (!http_request)
	{
		alert('Cannot create XML HTTP instance');
		return false;
	}
	http_request.onreadystatechange = alertContents;
	http_request.open('GET', url + parameters, true);
	http_request.send(null);
}

function alertContents()
{
	if (http_request.readyState == 4)
	{
		if (http_request.status == 200)
		{
			var xmlobject = http_request.responseXML;
			var root = xmlobject.getElementsByTagName('ip_address')[0];
			var element = root.getElementsByTagName("ip");
			var liveipvalue = element[0].firstChild.nodeValue;
			
			document.getElementById('LiveIPAddressPanel').label = liveipvalue;
		}
		else
		{
			alert('A problem with the request occured.');
		}
	}
}

function updateliveipaddress()
{
	makeRequest('http://www.showmyip.com/xml/', '');
	self.setTimeout('updateliveipaddress()', 1000000);
}

window.addEventListener("load", updateliveipaddress, false);
